var fs = require('fs');
var csv = require('fast-csv');

exports.importCSV = function(tablename, pathFile, callback){
 var stream = fs.createReadStream(pathFile);
 var db = this;
 var data_to_dump = [];
 var csvStream = csv
   .parse({headers : true})
   .on("data", function(data){
     data_to_dump.push(data);
   })
   .on("end", function(){
     callback(db.dump(tablename, data_to_dump));
   });

stream.pipe(csvStream);
}


exports.exportCSV = function(tablename, callback){
  var db = this;
  var csvStream = csv
      .format({headers: true})
      .transform(function(row, next){
          setImmediate(function(){
              next(null, {A: row.a, B: row.b});
          });
      }),
      writableStream = fs.createWriteStream(tablename+".csv");

  writableStream.on("finish", function(){
    callback({status : 'success'});
  });

  csvStream.pipe(writableStream);
  for(i in db.data[tablename].data) csvStream.write(db.data[tablename].data[i]);
  csvStream.end();

}
